summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorShireesh Anjal <anjalshireesh@gmail.com>2011-12-12 03:55:20 -0800
committerShireesh Anjal <anjalshireesh@gmail.com>2011-12-12 03:55:20 -0800
commit5817247af263f4eca3322936e7a65e66ed54f561 (patch)
tree1853ebbadd1c7d6e9318e90fb83bcb4db205b0fb
parent43d0bd05734cdfbf56cd94deb725778d25a6a80f (diff)
parent8f991af02abad977bb398e7d2a142ade44e48ce5 (diff)
Merge pull request #21 from balamurugana/master
Added dependency checking of python, perl, perl::RRDs, samba and libxml2.
-rwxr-xr-xbuild/gmg-backend-install.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/build/gmg-backend-install.sh b/build/gmg-backend-install.sh
index dba8c92..5893f5d 100755
--- a/build/gmg-backend-install.sh
+++ b/build/gmg-backend-install.sh
@@ -43,6 +43,31 @@ function pre()
if [ ! -f /sbin/chkconfig ]; then
quit "/sbin/chkconfig not found!" ${CHKCONFIG_ERR}
fi
+
+ if which python 1>/dev/null 2>/dev/null; then
+ quit "python not found" -2
+ fi
+
+ if python -c 'import sys; sys.exit(sys.version_info >= (2,4,0) and sys.version_info < (3,0,0))'; then
+ python -c 'import sys; print "Python", sys.version'
+ quit "python version 2.4+ and less than 3.0 is required" -2
+ fi
+
+ if which perl 1>/dev/null 2>/dev/null; then
+ quit "perl not found" -2
+ fi
+
+ if ! perl -MRRDs -e 1 2>/dev/null; then
+ quit "perl::RRDs not found" -2
+ fi
+
+ if which smbd 1>/dev/null 2>/dev/null; then
+ quit "samba not found" -2
+ fi
+
+ if [ ! -f /usr/lib64/libxml2.so.2 ]; then
+ quit "libxml2 not found" -2
+ fi
}
function check_tar_gz()